
/*
 *
 *  (c) BU Three Dimensional WS13/14
 *
 *
*/

///// dat gui

    var Options = function() {
      this.x = .1;
      this.y = .1;
      this.z = .1;
      this.rotX = .1;
      this.rotY = .1;
      this.rotZ = .1;
    }

    var options = new Options();
    var gui = new dat.GUI();
    gui.add(options, 'x', -15.01, 15.01);
    gui.add(options, 'y', -15.01, 15.01);
    gui.add(options, 'z', -15.01, 15.01);
    gui.add(options, 'rotX', -5, 5);
    gui.add(options, 'rotY', -5, 5);
    gui.add(options, 'rotZ', -5, 5);

////////



var container = document.getElementById("container");


var renderer = new THREE.WebGLRenderer({ antialias: true });
// var renderer = new THREE.CanvasRenderer();
renderer.setSize(container.offsetWidth, container.offsetHeight);
container.appendChild( renderer.domElement );


var scene = new THREE.Scene();


var camera = new THREE.PerspectiveCamera( 45, container.offsetWidth / container.offsetHeight, 1, 4000 );
camera.position.set( 0, 2, 10 );
scene.add( camera );


var light = new THREE.DirectionalLight( 0xffffff, 1.5);
light.position.set(0, 1, 1);
scene.add( light );






var material = new THREE.MeshLambertMaterial({ wireframe: true });

var mesh = new THREE.Mesh();

var loader = new THREE.JSONLoader();
loader.load("model/solarsystem.js", onLoaderComplete)


var animation

function onLoaderComplete(geometry){
  mesh = new THREE.Mesh(geometry, material);
  scene.add(mesh);
  mesh.rotation.y = -.9;
}
    



loop();
function loop(){

  // camera.position.x = options.x;
  // camera.position.y = options.y;
  // camera.position.z = options.z;
  // camera.rotation.x = options.rotX;
  // camera.rotation.y = options.rotY;
  // camera.rotation.z = options.rotZ;
  

  requestAnimationFrame( loop );
  renderer.render(scene, camera);
}





function flyTo(x, y, z, rotX, rotY, rotZ, viewText)
{
  $({ 
      cameraX: camera.position.x,
      cameraY: camera.position.y,
      cameraZ: camera.position.z,
      cameraRotX: camera.rotation.x,
      cameraRotY: camera.rotation.y,
      cameraRotZ: camera.rotation.z
    }).animate({
      cameraX: x,
      cameraY: y,
      cameraZ: z,
      cameraRotX: rotX,
      cameraRotY: rotY,
      cameraRotZ: rotZ
    },{
    duration: 1500,
    step: function(){
      camera.position.x = this.cameraX;
      camera.position.y = this.cameraY;
      camera.position.z = this.cameraZ;
      camera.rotation.x = this.cameraRotX;
      camera.rotation.y = this.cameraRotY;
      camera.rotation.z = this.cameraRotZ;
    }
  })


  $('.view').css("display", "none");
  $(viewText).css("display", "block");

}






window.onresize = function() {

  $("canvas")[0].width = container.offsetWidth;
  $("canvas")[0].height = container.offsetHeight;
  
  renderer.setSize(container.offsetWidth, container.offsetHeight);
  camera.aspect = container.offsetWidth / container.offsetHeight;
  camera.updateProjectionMatrix();
}














/*

###### SNIPPETS ###########




// jquery Variable Counter








*/